/*
  Custom styles for the UniGUI Google Maps demo.
  The page is split into a sidebar on the left and a map on the right.
*/
html, body, #container {
    height: 100%;
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
}

#container {
    display:list-item;
    width: 100%;
    height: 100%;
   
}

#map {
    width: 100%;
    height: 98%;
    
}

#search-input {
    width: 47%;
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
    background: white;
    font-size: 14px;
    margin-left: 75px;
    margin-right: 50px;
}


#add-route-btn {
    width: 100%;
    padding: 8px;
    margin-bottom: 10px;
    background-color: #007bff;
    color: #fff;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 14px;
}

#add-local-btn {
    position:flex;
    
 
    z-index: 5;
    width: 170px;
    
    padding: 8px;
    background-color: #198754;
    color: #fff;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 14px;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    margin-top: 15px;
    margin-left: 10px;
    margin-bottom: 15px;
    margin-right: 20px;
 
}

#add-local-btn:hover {
    background-color: #157347;
}



#add-route-btn:hover {
    background-color: #0056b3;
}

#route-list {
    list-style: none;
    padding: 0;
    margin: 0;
}

#route-list li {
    margin-bottom: 6px;
    padding: 4px 6px;
    background-color: #fff;
    border: 1px solid #ddd;
    border-radius: 4px;
    font-size: 13px;
}

#rodape
{
width: 100%;

}

.numero-icone {
    position: relative;
    display: inline-block;
    width: 30px;
    height: 30px;
    background-color: #239f84;;
    border-radius: 50%;
    text-align: center;
    line-height: 30px;
    font-size: 16px;
    color: #ffffff;
  }

.numero-icone::before {
    content: attr(data-numero);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }

.numero-icone:nth-child(2)::before {
    content: '2';
  }

.numero-icone:nth-child(3)::before {
    content: '3';
  }